> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/es/comandos-de-powershell/new-udchartjsdataset.md).

# New-UDChartJSDataset

### Sinopsis

Crea un nuevo conjunto de datos de ChartJS

### Sintaxis

```powershell
New-UDChartJSDataset [[-Data] <Object>] [[-DataProperty] <String>] [[-Label] <String>] [[-BackgroundColor] <DashboardColor[]>] [[-BorderColor] <DashboardColor[]>] [[-BorderWidth] <Int32>] [[-HoverBackgroundColor] <DashboardColor[]>] [[-HoverBorderColor] <DashboardColor[]>] [[-HoverBorderWidth] <Int32>] [[-XAxisId] <String>] [[-YAxisId] <String>] [[-AdditionalOptions] <Hashtable>] [<CommonParameters>]
```

### Descripción

Crea un nuevo conjunto de datos de ChartJS. Este cmdlet se utiliza para crear un nuevo conjunto de datos para New-UDChartJS.

### Parámetros

#### -Data Los datos del conjunto de datos. El formato de los datos depende del tipo de gráfico que esté creando.Required?                    falsePosition?                    1Default value                @()Accept pipeline input?       falseAliasesAccept wildcard characters?  false-DataPropertyLa propiedad del objeto de datos que se utilizará como datos del conjunto de datos.Required?                    falsePosition?                    2Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-LabelLa etiqueta del conjunto de datos.Required?                    falsePosition?                    3Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-BackgroundColor \<DashboardColor\[]>El color de fondo del conjunto de datos.Required?                    falsePosition?                    4Default value                @("#807B210C")Accept pipeline input?       falseAliasesAccept wildcard characters?  false-BorderColor \<DashboardColor\[]>El color del borde del conjunto de datos.Required?                    falsePosition?                    5Default value                @("#FF7B210C")Accept pipeline input?       falseAliasesAccept wildcard characters?  false-BorderWidthEl ancho del borde del conjunto de datos.Required?                    falsePosition?                    6Default value                0Accept pipeline input?       falseAliasesAccept wildcard characters?  false-HoverBackgroundColor \<DashboardColor\[]>El color de fondo al pasar el cursor por el conjunto de datos.Required?                    falsePosition?                    7Default value                @("#807B210C")Accept pipeline input?       falseAliasesAccept wildcard characters?  false-HoverBorderColor \<DashboardColor\[]>El color del borde al pasar el cursor por el conjunto de datos.Required?                    falsePosition?                    8Default value                @("#FF7B210C")Accept pipeline input?       falseAliasesAccept wildcard characters?  false-HoverBorderWidthEl ancho del borde al pasar el cursor por el conjunto de datos.Required?                    falsePosition?                    9Default value                0Accept pipeline input?       falseAliasesAccept wildcard characters?  false-XAxisIdEl ID del eje X que se utilizará para el conjunto de datos.Required?                    falsePosition?                    10Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-YAxisIdEl ID del eje Y que se utilizará para el conjunto de datos.Required?                    falsePosition?                    11Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-AdditionalOptionsUna tabla hash con opciones adicionales que se aplicarán al conjunto de datos. Consulte la documentación de ChartJS para obtener más información.    PS > .EXAMPLE    PS > $Data = Get-Process | Sort-Object -Property CPU -Descending | Select-Object -First 10    PS >    PS > $CPUDataset = New-UDChartJSDataset -DataProperty CPU -Label CPU -BackgroundColor '#126f8c'    PS > $MemoryDataset = New-UDChartJSDataset -DataProperty HandleCount -Label 'Handle Count' -BackgroundColor '#8da322'    PS > $Options = @{    PS >     Type = 'bar'    PS >     Data = $Data    PS >     Dataset = @($CPUDataset, $MemoryDataset)    PS >     LabelProperty = "ProcessName"    PS > }    PS > New-UDChartJS @OptionsRequired?                    falsePosition?                    12Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false    \<CommonParameters>        This cmdlet supports the common parameters: Verbose, Debug,        ErrorAction, ErrorVariable, WarningAction, WarningVariable,        OutBuffer, PipelineVariable, and OutVariable. For more information, see        about\_CommonParameters (<https://go.microsoft.com/fwlink/?LinkID=113216>).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/es/comandos-de-powershell/new-udchartjsdataset.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
